Skip to content

GET User and Role Assignments.

GET
/api/web/custom/namespaces/{namespace}/user_roles
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/example/user_roles \
--header 'Authorization: <Authorization>'

List enumerates users and their namespace roles for this tenant.

Examples of this operation.

namespace
required
string

Namespace Namespace to use.

A successful response.

Media typeapplication/json
List user roles

Allows user namespace roles retrieval.

object
items
User namespace roles

List of user namespace roles.

Array<object>
List user role

Allows user namespace role retrieval.

object
creation_timestamp
Creation timestamp

Timestamp of user creation.

string format: date-time
<= 1024 characters
disabled
Disabled

If set to true user is completely disabled including IDM.

boolean format: boolean
domain_owner
Domain Owner

Domain owner is the first user who registered or signed up the associated Tenant. User created via signup flow will have this value set to true. Few restrictions apply to this user w.r.t role update and deletion.

boolean format: boolean
email
Email

Email of the user object.

string format: email
<= 1024 characters /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/
first_name
First name

First name of the customer.

string
<= 1024 characters
group_names
Groups

Group list must be associated to this user.

Array<string>
idm_type
string
default: SSO
Allowed values: SSO VOLTERRA_MANAGED UNDEFINED
last_login_timestamp
Last login timestamp

Last login timestamp when user successfully login to access VoltConsole.

string format: date-time
<= 1024 characters
last_name
Last name

Last name of the customer.

string
<= 1024 characters
name
Name

Name of the user.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace of the user object (namespace where the user object is stored).

string
>= 6 characters <= 1024 characters
namespace_roles
Namespace roles

List of directly attached roles that the user has for each namespace.

Array<object>
Namespace role

Allows linking namespaces and roles.

object
namespace
Namespace

Namespace the role applies to ’*’ value implies all namespaces Required: YES.

string
>= 6 characters <= 256 characters
role
Role

Users role for this namespace Required: YES.

string
<= 256 characters
otp_enabled
OTP Enabled

Shows if OTP is enabled in IDM Provider.

boolean format: boolean
sync_mode
string
default: SELF
Allowed values: SELF SCIM
tenant
Tenant

Tenant that the user belongs to.

string
>= 6 characters <= 1024 characters
tenant_type
string
default: UNKNOWN
Allowed values: UNKNOWN FREEMIUM ENTERPRISE
type
string
default: USER
Allowed values: USER SERVICE DEBUG
Example
{
"items": [
{
"idm_type": "SSO",
"sync_mode": "SELF",
"tenant_type": "UNKNOWN",
"type": "USER"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example